Bug 514770 - GER, Paged Results: remove per-entry response control
Summary: GER, Paged Results: remove per-entry response control
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Security - Access Control (GER)
Version: 1.2.1
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 434914 389_1.2.1
TreeView+ depends on / blocked
 
Reported: 2009-07-30 17:15 UTC by Noriko Hosoi
Modified: 2015-12-07 16:37 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-12-07 16:37:59 UTC


Attachments (Terms of Use)
git patch file for result.c (1.81 KB, patch)
2009-07-30 17:45 UTC, Noriko Hosoi
no flags Details | Diff

Description Noriko Hosoi 2009-07-30 17:15:54 UTC
Description of problem:
Currently, Simple Paged Results and GER returns response control per-entry.
Since per entry-response controls (except for persistent search EntryChange 
controls) are ignored by the ldapsearch client, we are getting rid of the
unnecessary write_controls calls for Simple Paged Results.

Comment 1 Noriko Hosoi 2009-07-30 17:36:48 UTC
(In reply to comment #0)
> we are getting rid of the
> unnecessary write_controls calls for Simple Paged Results.  
and GER...

Comment 2 Noriko Hosoi 2009-07-30 17:45:30 UTC
Created attachment 355712 [details]
git patch file for result.c

File: ldap/servers/slapd/result.c

Fix description: Getting rid of the unnecessary write_controls calls for GER and Simple Paged Results.

Note: both GER and Simple Paged Results add its control to the result controls maintained in the "operation" and they are sent to the client via send_ldap_result.

Comment 3 Noriko Hosoi 2009-07-30 18:43:44 UTC
Thanks to Nathan for the review.

Pushed to master.

$ git merge paged
Updating 7c52ad5..7a4fce4
Fast forward
 ldap/servers/slapd/result.c |   30 ------------------------------
 1 files changed, 0 insertions(+), 30 deletions(-)
$ git push
Counting objects: 11, done.
Delta compression using 4 threads.
Compressing objects: 100% (6/6), done.
Writing objects: 100% (6/6), 649 bytes, done.
Total 6 (delta 4), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   7c52ad5..7a4fce4  master -> master

Comment 4 Jenny Galipeau 2010-06-07 18:15:16 UTC
can you please add steps to verify this bug? Thanks!

Comment 5 Noriko Hosoi 2010-06-07 19:03:27 UTC
(In reply to comment #4)
> can you please add steps to verify this bug? Thanks!    

I'm afraid there is no way to verify this bug with a black box test.  It's a pure server internal issue -- getting rid of unnecessary return control.  Since GER and Simple Paged Results acceptance tests are passing 100%, I think we could say this bug is verified.

Comment 6 Jenny Galipeau 2010-06-07 19:29:30 UTC
Thanks Noriko - marking verified.


Note You need to log in before you can comment on or make changes to this bug.